
const St = imports.gi.St;
const Main = imports.ui.main;
const Tweener = imports.ui.tweener;

let text, button, Overview,lg;

function _hideHello() {
	Main.createLookingGlass();
	Main.uiGroup.remove_actor(text);
	text = null;
}

function _showHello() {
	if (!text) {
		text = new St.Label({ style_class: 'helloworld-label', text: "Hello, world!" });
		Main.uiGroup.add_actor(text);
	}

	text.opacity = 255;

	let monitor = Main.layoutManager.primaryMonitor;

	text.set_position(Math.floor(monitor.width / 2 - text.width / 2),
			Math.floor(monitor.height / 2 - text.height / 2));

	Tweener.addTween(text,
			{ opacity: 0,
			  time: 2,
			  transition: 'easeOutQuad',
			  onComplete: _hideHello });
	//global.get_window_actors().forEach(function(w){w.set_scale(0.5,0.5)});
}

function _showLookingGlass() {
	if(lg._open == false) {
		lg.open();
	}
	else
	{
		lg.close();
	}
}

function init() {
	button = new St.Bin({ style_class: 'panel-button',
			reactive: true,
			can_focus: true,
			x_fill: true,
			y_fill: false,
			track_hover: true });
	let icon = new St.Icon({ icon_name: 'system-run',
			icon_type: St.IconType.SYMBOLIC,
			style_class: 'system-status-icon' });

	button.set_child(icon);
	button.connect('button-press-event', _showHello);
	lgBtn = new St.Button({label:"lookingGlass"});
	Main.panel._centerBox.add_actor(lgBtn);
	lgBtn.connect('button-press-event', _showLookingGlass);
}

function enable() {
	Main.panel._rightBox.insert_child_at_index(button, 0);
	lg = Main.createLookingGlass();
}

function disable() {
	Main.panel._rightBox.remove_child(button);
}
